自定义异常,捕获不了

try {
this.accountDubboService.takeMoney(userId, type, money, coin, password);
} catch (Exception e) {
String code = null;
// String mm=e.getMessage();
switch (e.getMessage()) {
// case"com.zhibi.xishuake.core.exception.AccountChangeException: 交易密码错误":
// code = "withdraw_password_incorrect";
// break;
case "交易密码错误":
code = "withdraw_password_incorrect";
break;
case "提现每天限1笔":
code = "daily_withdraw_limit";
break;
case "请绑定银行卡":
code = "bind_bankcard_before_withdraw";
break;
default:
break;
}

                    我的信息是"com.zhibi.xishua
                    ke.core.exception.AccountChangeException: 交易密码错误":

                    为什么不直接是  “交易密码错误”

1个回答

你可以直接处理下e.getMessage() 这个就是类路径+msg

Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
其他相关推荐
C# 自定义异常的捕捉问题

我写了一个方法捕捉自定义异常,但是当执行action方法抛出自定义异常AppException时,为什么跳转不到捕捉自定义异常AppException的catch里呢?求高手点拨! ![自定义异常捕捉](https://img-ask.csdn.net/upload/201805/10/1525913061_394070.png) 以下是 自定义异常AppException的代码 ![自定义异常AppException的代码](https://img-ask.csdn.net/upload/201805/10/1525913332_479377.png)

使用反射机制调用,如何捕获自定义异常?

代码如下: [code="java"]class A { public void a() throw SelfException{//自定义异常 try{ //do something }catch (Exception e){ throw new SelfException(e); } } }[/code] 我的客户端通过反射机制调用A,但是发现do something出错的时候,无法捕获到SelfException。 我跟踪了一下,客户端捕获了java.lang.reflect.InvocationTargetException,然后打印异常堆栈,确实可以看到最实际的原因(可能是数据库出错等底层原因),但这都不是我想要的,我期望客户端够捕获到SelfException异常(因为这里我做了一些特殊处理)。 请问这是何缘故?可以如何解决这个问题? 我在网上找了一下,.net领域里面也有InvocationTargetException异常,同样是使用发射机制调用时可能抛出。但是.net领域还有一个innerException可以获取到用户自定义的异常。但java我不知道可以怎么处理。 求赐教。多谢了。 [b]问题补充:[/b] 谢谢lovewhzlq。 但是这还不是我要的答案。 我想知道到底有没什么方法可以获取到SelfException? 因为我们目前的系统的异常设计,是有一种特别针对客户端的UI异常,这种异常被客户端获取之后,将最终转换成提示信息。但是我现在用了反射就获取不了这种异常了。

关于Spring事务管理及自定义异常抛出的问题

在项目开发中,[b]自定义了一个异常类[/b],继承Exception。 整体使用Spring的容器管理方式,事务管理在Service层来控制,现想如下设计:action捕获Service的异常,进行相关处理;在[b]Service层,就需要抛出自定义的异常类;[/b]dao不捕获异常。当Service加上事务处理就捕获不了异常信息,具体代码如下:[code="java"]public User saveUser(User user) throws GeneralException { User u = new User(); try { user.setUserType("10"); user.setStatus("10"); user.setPostCounts(0); user.setPassword("aaaa"); user.setCreateTime(new Date()); user.setLoginCounts(0); user.setLoginName("test" + (int) Math.random() * 20); user.setCreateTime(new Date()); user.setCurrentLoginIp("10.10.0.1"); user.setCurrentLoginTime(new Date()); user.setLastLoginIp("10.10.0.1"); user.setLastLoginTime(new Date()); u = userDao.saveUser(user); User us = userDao.getUser(4); us.setStatus("900");//【这儿会报个异常】 userDao.updateUser(us); } catch (Exception e) { e.printStackTrace(); System.out.println("============:exception execute."); throw new GeneralException(); } return u; }[/code],此时可以捕获到异常信息,报如下错误:[code="java"]No Hibernate Session bound to thread, and configuration does not allow creation of non-transactional one here[/code];当在方法上加@Transactional事务处理,异常就捕获不到了。 [i][b]另,程序采用Spring注解方式。[/b][/i] 请教各位大虾,谢谢!      

oracle 自定义函数 异常

CREATE OR REPLACE FUNCTION F_GETNAME(P_KIND IN VARCHAR2,P_CODE IN VARCHAR2) RETURN VARCHAR2 IS V_NAME ZM_CODE_DETAIL.NAME_DETAIL%TYPE; BEGIN select nvl(d.NAME_DETAIL,'') INTO V_NAME from ZM_CODE_DETAIL d where D.ID_MASTER =P_KIND and d.code_detail=P_CODE; RETURN nvl(V_NAME,''); END F_GETNAME; 代码 如上。 现在我的一个存存储过程需要调用此函数,有传入参数可能查不到,大部分可以查到,可是 我设置返回空值了啊,为什么还会报异常呢?

检测是否在不使用自定义异常类的情况下手动抛出异常

<div class="post-text" itemprop="text"> <p>I got a <code>try-catch</code> block in my php application like this:</p> <pre><code>try { if ($userForgotToEnterField) { throw new Exception('You need to fill in your name!'); } ... doDifferentThingsThatCanThrowExceptions(); ... } catch (ExpectedException $e) { $template-&gt;setError('A database error occured.'); } catch (Exception $e) { $template-&gt;setError($e-&gt;getMessage()); } </code></pre> <p>I would like to only output <code>$e-&gt;getMessage()</code> for the exceptions I have manually thrown with a custom error text and not the ones that have been thrown by the other code as these might contain sensitive information or very technical info that the user should not see.</p> <p>Is it possible to differentiate from a manually thrown exception and a random exception thrown by some method without using a custom exception class?</p> </div>

Java自定义异常类的问题,新手求解。

自定义一个异常FailException,表示不及格。 创建类Student,有两个属性表示平时成绩和期末成绩,一个方法计算总成绩,用平时成绩加上期末成绩的0.5倍来计算总成绩,如果总成绩小于60分,则抛出异常FailException. 创建测试类,实例化Student对象,调用getScore方法来计算总成绩,注意异常的捕获。 代码如下: class Student { private double regularGrade; private double finalGrade; public Student(double regularGrade, double finalGrade) { this.regularGrade = regularGrade; this.finalGrade = finalGrade; } public double getScore() throws FailException { if (getScore() < 60) { throw new FailException("你的成绩不及格!"); } return regularGrade + finalGrade * 0.5; } } class FailException extends Exception { public FailException() { super(); } public FailException(String message) { message = "你的成绩不及格!"; } public String getMessage() { return "未通过!" + super.getMessage(); } } public class Test { public static void main(String[] args) { // TODO Auto-generated method stub Student s1 = new Student(50, 60); try { s1.getScore(); } catch (FailException e) { System.out.print(e.toString()); } } } 请大家看一下我的代码有什么问题?我的意思是考试成绩低于60分,就抛出异常不及格,但是构造方法应该怎么写呢?我想用一个包含message和cause的方法,cause应该怎么写?

C++ try catch 能够捕获除数为零、数组越界异常吗

最近在学C++,发现try catch不能够捕获到除数为零的异常,需要自己判断后,再通过throw抛出,catch才能够捕获到。所以想问一下,有没有办法可以不用自己抛出。 **比如这个不用自己抛出也能捕获到异常:** * try * { * char* p = new char[0x7fffffff]; //抛出异常 能够自己抛出异常 * } * catch (exception &e) * { * cout << e.what() << endl; * } ![图片说明](https://img-ask.csdn.net/upload/202004/21/1587439626_2971.jpg) **不能够自己抛出异常:** * * int x = 10, y = 0; * int result; * try * { * result = x / y; * } * catch (...) * { * cout << "未知异常" << endl; * } ![图片说明](https://img-ask.csdn.net/upload/202004/21/1587439913_960586.jpg) 有什么办法可以解决这个问题吗?

在Laravel 5.4的web.php文件中捕获NotFoundHttpException并抛出自定义异常

<div class="post-text" itemprop="text"> <p>I'm trying to find a way of customising the error handling of Laravel 5.4 when a route can't be found. In my web.php there is a route incorrectly defined (deliberately for testing purposes). I have wrapped it in a try...catch block and thrown my own custom exception RoutesException:</p> <pre><code>try { Route::get('terms_rop_labels/view', 'LRChildController@view'); }catch (NotFoundHttpException $ex) { throw new RoutesException('terms_rop_labels/view'); } </code></pre> <p>Then in app\Exceptions\Handler.php I am trying to catch the exception in a test view:</p> <pre><code>if ($exception instanceof NotFoundHttpException) { $parameters = [ 'message'=&gt; 'NotFoundHttpException' ]; return response()-&gt;view('errors.test', $parameters, 500); } if ($exception instanceof RoutesException) { $parameters = [ 'message'=&gt; 'RoutesException' ]; return response()-&gt;view('errors.test', $parameters, 500); } </code></pre> <p>Can anyone explain why the handler catches a NotFoundHttpException and not my custom RoutesException?</p> </div>

为什么这段Java代码捕捉不到自定义的一个异常?

# Java:为什么捕捉不到自定义异常? -__ ``` //TriangleException.java import java.util.Scanner; class Triangle{ int x,y,z; public Triangle(int x,int y,int z){ this.x = x; this.y = y; this.z = z; } public double getArea(){ //求三角形面积 double area = 0; double p = (x+y+z)/2.0; area = Math.sqrt(p*(p-x)*(p-y)*(p-z)); return area; } public void showInfo(){ // 显示三角形边长 System.out.println("边长分别为:"+x+","+y+","+z); } } class NoTriangleException extends Exception{ NoTriangleException(){}; NoTriangleException(String s){ super(s); } } public class TriangleException{ public static void main(String[] args){ Scanner scanner = new Scanner(System.in); System.out.println("请输入三边长:"); try{ int x = scanner.nextInt(); int y = scanner.nextInt(); int z = scanner.nextInt(); if(x+y<=z||x+z<=y||y+z<=x){ throw new NoTriangleException("不能构成三角形!"); } else{ Triangle triangle = new Triangle(x,y,z); double area = triangle.getArea(); System.out.println("三角形面积是"+area); triangle.showInfo(); } } catch(NoTriangleException e){ System.out.println(e.getMessage()); } } } ``` ## 当输入符合三角形边长,可以正常运行;但是不符合的时候没有捕获输出“不能构成三角形!”。 ## 初学异常处理,没发现问题在哪,求问大神/

请编写一个捕获异常的小程序:计算二个数的商,分别捕获数组越界、数据格式不正确、除数为零三种异常。

请编写一个捕获异常的小程序:计算二个数的商,分别捕获数组越界、数据格式不正确、除数为零三种异常。

Struts2自定义异常处理拦截器出现问题

struts.xml: <interceptors> <interceptor name="exception" class="com.opensymphony.xwork.interceptor.ExceptionMappingInterceptor"></interceptor> <interceptor name="exceptionInceptor" class="com.lul.interceptor.ExceptionInterceptor"></interceptor> </interceptors> <global-results> <result name="error">error.jsp</result> </global-results> <global-exception-mappings> <exception-mapping result="error" exception="com.lul.exception.BusinessException"></exception-mapping> </global-exception-mappings> <action name="insert" class="com.lul.action.InsertAction"> <result name="success">success.jsp</result> <interceptor-ref name="exceptionInceptor"></interceptor-ref> </action> 自定义异常类: [code="java"]public class BusinessException extends RuntimeException { private static final long serialVersionUID = 1L; public BusinessException(String errorMessage) { super(errorMessage); } }[/code] 自定义用于异常处理的拦截器: public String intercept(ActionInvocation invocation) throws Exception { String result = null; try { result = invocation.invoke(); } catch(DataAccessException dae) { throw new BusinessException("数据库操作失败"); } ... ...捕获常见的异常,并以友好异常信息抛出 } 在调用insert.action后,dao抛出异常,但不知为什么不能跳到error.jsp页面,而是 [color=red]HTTP Status 500 - -------------------------------------------------------------------------------- type Exception report message description The server encountered an internal error () that prevented it from fulfilling this request. exception javax.servlet.ServletException: com.lul.exception.BusinessException: Sorry, 数据库操作失败 Please try again! org.apache.struts2.dispatcher.Dispatcher.serviceAction(Dispatcher.java:515) org.apache.struts2.dispatcher.FilterDispatcher.doFilter(FilterDispatcher.java:419)[/color] 有哪位高手知道错误原因,请指教! [b]问题补充:[/b] <global-results> <result name="exceptionPage" type="redirect">error.jsp</result> </global-results> <global-exception-mappings> <exception-mapping name="exceptionPage" exception="java.lang.Exception" result="exceptionPage"/> </global-exception-mappings> 这样是可以跳到error.jsp页面,但我想要的是在拦截器中对异常进行分类和包装,然后再以友好的方式提示到error.jsp [b]问题补充:[/b] to jones: 我是在exceptionInceptor拦截器里对异常进行分类,然后交给BusinessException去提示异常信息,不可能在Action里用N多的catch把异常分类吧,不知道有没有别的好的方法。 [b]问题补充:[/b] to jones: 我明白你的意思,并且这样可以跳转到指定的错误页面,但我想请教一下,怎么能在错误页面获取拦截器里的异常提示信息。多谢!

Try-Catch没有捕获自定义异常类型

<div class="post-text" itemprop="text"> <p>This is a pretty simple question, and it's blatantly my own newb status that's holding me back. Apologies.</p> <p>Why isn't this bit of code working?</p> <pre><code> try { create_account($accountXML); echo "&lt;p&gt;Successfully created your account.&lt;/p&gt;"; try { create_page($pageXML,$base64_credentials); echo "&lt;p&gt;Successfully created your page!&lt;/p&gt;"; } catch (exception $e){ echo "&lt;p&gt;$e&lt;/p&gt;"; } } catch(exception $e) { echo "&lt;p&gt;$e&lt;/p&gt;"; } catch(emailInUseException $e) { echo "&lt;p&gt;Error: Email already in use. Could not create account.&lt;/p&gt;"; } </code></pre> <p>Within the <code>create_account</code> function...</p> <pre><code>if ((!substr_count($response, "200 Account created successfully") &gt; 0)) // If failed { if ((substr_count($response, "400 EmailAddressInUse") &gt; 0)) // If email address already in use { throw new emailInUseException($response); } throw new exception("Error: Could not create account. Reason: $response"); } </code></pre> <p>The <code>emailInUse</code> catch doesn't seem to be working :(</p> <p><strong>Update:</strong> With debugging enabled I get the following error: <code>Fatal error: Class 'emailInUseException' not found</code></p> <p>I'm sure it's something really awfully obvious. Thanks for any help.</p> </div>

SpringBoot配置全局异常

SpringBoot配置全局异常捕获时返回Json数据,但如果我需要Xml格式返回,该如何配置?

返回自定义对象时的异常

#include <iostream> #include <string> #include <vector> using namespace std; class listOperateion{ private: string * a; string * b; string pattern; public: listOperateion(){} void setList1(string * a){ this->a = a; } void setList2(string * b){ this->b = b; } string* getList1(){ return this->a; } string* getList2(){ return this->b; } static vector<string> split(string str,string pattern) { string::size_type pos; vector<string> result; str+=pattern; int size=str.size(); for(int i=0; i<size; i++) { pos=str.find(pattern,i); if(pos<size) { string s=str.substr(i,pos-i); result.push_back(s); i=pos+pattern.size()-1; } } return result; } static OutputData elementSplit( string str ) { OutputData od; vector<string> result = split(str,","); //cout<<"the result:"<<endl; int vsize = result.size(); string *str1 = new string[vsize](); for(int i=0; i<result.size(); i++) { str1[i] = result[i]; //cout<<str1[i]<<endl; } od.setA(str1); od.setB(vsize); return od; } string* dataInput() { string a; char ch1[100]; scanf("%[^\n]", ch1); a = ch1; OutputData od ; od = elementSplit(a); string *str2 = od.getA(); int vsize = od.getB(); setList1(str2); /*for (int i=0;i<vsize;i++) { cout<<str2[i]; }*/ return str2; } }; class OutputData{ private: string * a ; int b; public: OutputData(){} void setA(string * a){ this->a = a; } string* getA(){ return this->a; } void setB(int b){ this->b = b; } int getB(){ return this->b; } ~OutputData(){} }; void main(){ listOperateion lo; lo.dataInput(); string * a = lo.getList1(); /*for (int i=0;i<a->length();i++) { cout<<a[i]; }*/ } 异常: 1>e:\vs2010\newproject\crapt01\crapt01\t01.cpp(51): error C2146: 语法错误: 缺少“;”(在标识符“elementSplit”的前面) 1>e:\vs2010\newproject\crapt01\crapt01\t01.cpp(51): error C4430: 缺少类型说明符 - 假定为 int。注意: C++ 不支持默认 int 1>e:\vs2010\newproject\crapt01\crapt01\t01.cpp(51): error C4430: 缺少类型说明符 - 假定为 int。注意: C++ 不支持默认 int 1>e:\vs2010\newproject\crapt01\crapt01\t01.cpp(52): error C4430: 缺少类型说明符 - 假定为 int。注意: C++ 不支持默认 int 1>e:\vs2010\newproject\crapt01\crapt01\t01.cpp(66): warning C4183: “elementSplit”: 缺少返回类型;假定为返回“int”的成员函数 1>e:\vs2010\newproject\crapt01\crapt01\t01.cpp(41): warning C4018: “<”: 有符号/无符号不匹配 1>e:\vs2010\newproject\crapt01\crapt01\t01.cpp(53): error C2146: 语法错误: 缺少“;”(在标识符“od”的前面) 1>e:\vs2010\newproject\crapt01\crapt01\t01.cpp(53): error C2065: “od”: 未声明的标识符 1>e:\vs2010\newproject\crapt01\crapt01\t01.cpp(58): warning C4018: “<”: 有符号/无符号不匹配 1>e:\vs2010\newproject\crapt01\crapt01\t01.cpp(63): error C2065: “od”: 未声明的标识符 1>e:\vs2010\newproject\crapt01\crapt01\t01.cpp(63): error C2228: “.setA”的左边必须有类/结构/联合 1> 类型是“'unknown-type'” 1>e:\vs2010\newproject\crapt01\crapt01\t01.cpp(64): error C2065: “od”: 未声明的标识符 1>e:\vs2010\newproject\crapt01\crapt01\t01.cpp(64): error C2228: “.setB”的左边必须有类/结构/联合 1> 类型是“'unknown-type'” 1>e:\vs2010\newproject\crapt01\crapt01\t01.cpp(65): error C2065: “od”: 未声明的标识符 1>e:\vs2010\newproject\crapt01\crapt01\t01.cpp(76): error C2146: 语法错误: 缺少“;”(在标识符“od”的前面) 1>e:\vs2010\newproject\crapt01\crapt01\t01.cpp(76): error C2065: “od”: 未声明的标识符 1>e:\vs2010\newproject\crapt01\crapt01\t01.cpp(77): error C2065: “od”: 未声明的标识符 1>e:\vs2010\newproject\crapt01\crapt01\t01.cpp(78): error C2065: “od”: 未声明的标识符 1>e:\vs2010\newproject\crapt01\crapt01\t01.cpp(78): error C2228: “.getA”的左边必须有类/结构/联合 1> 类型是“'unknown-type'” 1>e:\vs2010\newproject\crapt01\crapt01\t01.cpp(79): error C2065: “od”: 未声明的标识符 1>e:\vs2010\newproject\crapt01\crapt01\t01.cpp(79): error C2228: “.getB”的左边必须有类/结构/联合 1> 类型是“'unknown-type'” c++新手**

请问Java后台捕获异常后状态码还是200客户端可以进入success是为什么?

请问Java后台捕获异常后状态码还是200客户端可以进入success是为什么?![图片说明](https://img-ask.csdn.net/upload/201811/19/1542613127_65794.png)

shiro 当账号不存在的时候,抛出的异常是 AuthenticationException

shiro配置了一个Realm的时候,登录抛出异常,可以获取UnknownountException。而配置两个realm的时候,就获取到的是AuthenticationException。请问如何解决

java异常从业务层集中抛出,是不是每个控制层方法都要try catch

java开发中,DAO层的方法有许多判断,异常从DAO层集中抛出,比如说UserDao在进行添加用户(add(sql,Object o))时会判断,当sql为空时抛出了自定义异常MyException("sql为空"),这时如果UserService addUser()调用了这个add方法,那么UserService必须要捕获这个自定义异常然后抛给控制层,然后控制层再进行处理吗,这是否有些太繁琐了,感觉平时大家是不会这么处理的,但是不处理Dao层抛出的那个异常程序又会中断,影响使用效果,大家都是怎么做的啊??

Spring MVC 简单异常处理器如何定义日志文件路径

如题。项目中有log4j的异常处理机制,但现在需要使用Spring MVC提供的简单异常处理器SimpleMappingExceptionResolver,来进行异常的捕捉,将异常全部放在spring mvc定义的日志文件中。那么在xml文件中配置单独的spring mvc的异常处理文件路径,不知该如何配置?谢谢。 spring mvc中配置简单异常处理器SimpleMappingExceptionResolver如下: <bean id="exceptionResolver" class="org.springframework.web.servlet.handler.SimpleMappingExceptionResolver"> <property name="defaultErrorView"> <value>/common/error/500</value> </property> <property name="exceptionMappings"> <props> <prop key="org.springframework.dao.DataAccessException" >/common/error/500</prop> <prop key="IOException">/common/error/500</prop> <prop key="java.sql.SQLException">/common/error/500</prop> <prop key="java.lang.Exception">/common/error/500</prop> </props> </property> <!-- 设置日志输出级别,不定义则默认不输出警告等错误日志信息 --> <property name="warnLogCategory" value="WARN"></property> </bean>

MockMvc post请求异常

MockHttpServletRequest: HTTP Method = POST Request URI = /commodity Parameters = {} Headers = {Content-Type=[*/*], Accept=[*/*]} Handler: Type = null Async: Async started = false Async result = null Resolved Exception: Type = org.springframework.web.HttpRequestMethodNotSupportedException ModelAndView: View name = null View = null Model = null FlashMap: Attributes = null MockHttpServletResponse: Status = 405 Error message = Request method 'POST' not supported Headers = {Allow=[DELETE, GET]} Content type = null Body = Forwarded URL = null Redirected URL = null Cookies = []

大学四年自学走来,这些私藏的实用工具/学习网站我贡献出来了

大学四年,看课本是不可能一直看课本的了,对于学习,特别是自学,善于搜索网上的一些资源来辅助,还是非常有必要的,下面我就把这几年私藏的各种资源,网站贡献出来给你们。主要有:电子书搜索、实用工具、在线视频学习网站、非视频学习网站、软件下载、面试/求职必备网站。 注意:文中提到的所有资源,文末我都给你整理好了,你们只管拿去,如果觉得不错,转发、分享就是最大的支持了。 一、电子书搜索 对于大部分程序员...

在中国程序员是青春饭吗?

今年,我也32了 ,为了不给大家误导,咨询了猎头、圈内好友,以及年过35岁的几位老程序员……舍了老脸去揭人家伤疤……希望能给大家以帮助,记得帮我点赞哦。 目录: 你以为的人生 一次又一次的伤害 猎头界的真相 如何应对互联网行业的「中年危机」 一、你以为的人生 刚入行时,拿着傲人的工资,想着好好干,以为我们的人生是这样的: 等真到了那一天,你会发现,你的人生很可能是这样的: ...

Java基础知识面试题(2020最新版)

文章目录Java概述何为编程什么是Javajdk1.5之后的三大版本JVM、JRE和JDK的关系什么是跨平台性?原理是什么Java语言有哪些特点什么是字节码?采用字节码的最大好处是什么什么是Java程序的主类?应用程序和小程序的主类有何不同?Java应用程序与小程序之间有那些差别?Java和C++的区别Oracle JDK 和 OpenJDK 的对比基础语法数据类型Java有哪些数据类型switc...

我以为我学懂了数据结构,直到看了这个导图才发现,我错了

数据结构与算法思维导图

String s = new String(" a ") 到底产生几个对象?

老生常谈的一个梗,到2020了还在争论,你们一天天的,哎哎哎,我不是针对你一个,我是说在座的各位都是人才! 上图红色的这3个箭头,对于通过new产生一个字符串(”宜春”)时,会先去常量池中查找是否已经有了”宜春”对象,如果没有则在常量池中创建一个此字符串对象,然后堆中再创建一个常量池中此”宜春”对象的拷贝对象。 也就是说准确答案是产生了一个或两个对象,如果常量池中原来没有 ”宜春” ,就是两个。...

技术大佬:我去,你写的 switch 语句也太老土了吧

昨天早上通过远程的方式 review 了两名新来同事的代码,大部分代码都写得很漂亮,严谨的同时注释也很到位,这令我非常满意。但当我看到他们当中有一个人写的 switch 语句时,还是忍不住破口大骂:“我擦,小王,你丫写的 switch 语句也太老土了吧!” 来看看小王写的代码吧,看完不要骂我装逼啊。 private static String createPlayer(PlayerTypes p...

Linux面试题(2020最新版)

文章目录Linux 概述什么是LinuxUnix和Linux有什么区别?什么是 Linux 内核?Linux的基本组件是什么?Linux 的体系结构BASH和DOS之间的基本区别是什么?Linux 开机启动过程?Linux系统缺省的运行级别?Linux 使用的进程间通信方式?Linux 有哪些系统日志文件?Linux系统安装多个桌面环境有帮助吗?什么是交换空间?什么是root帐户什么是LILO?什...

Linux命令学习神器!命令看不懂直接给你解释!

大家都知道,Linux 系统有非常多的命令,而且每个命令又有非常多的用法,想要全部记住所有命令的所有用法,恐怕是一件不可能完成的任务。 一般情况下,我们学习一个命令时,要么直接百度去搜索它的用法,要么就直接用 man 命令去查看守冗长的帮助手册。这两个都可以实现我们的目标,但有没有更简便的方式呢? 答案是必须有的!今天给大家推荐一款有趣而实用学习神器 — kmdr,让你解锁 Linux 学习新姿势...

和黑客斗争的 6 天!

互联网公司工作,很难避免不和黑客们打交道,我呆过的两家互联网公司,几乎每月每天每分钟都有黑客在公司网站上扫描。有的是寻找 Sql 注入的缺口,有的是寻找线上服务器可能存在的漏洞,大部分都...

史上最全的 python 基础知识汇总篇,没有比这再全面的了,建议收藏

网友们有福了,小编终于把基础篇的内容全部涉略了一遍,这是一篇关于基础知识的汇总的文章,请朋友们收下,不用客气,不过文章篇幅肯能会有点长,耐心阅读吧爬虫(七十)多进程multiproces...

讲一个程序员如何副业月赚三万的真实故事

loonggg读完需要3分钟速读仅需 1 分钟大家好,我是你们的校长。我之前讲过,这年头,只要肯动脑,肯行动,程序员凭借自己的技术,赚钱的方式还是有很多种的。仅仅靠在公司出卖自己的劳动时...

女程序员,为什么比男程序员少???

昨天看到一档综艺节目,讨论了两个话题:(1)中国学生的数学成绩,平均下来看,会比国外好?为什么?(2)男生的数学成绩,平均下来看,会比女生好?为什么?同时,我又联想到了一个技术圈经常讨...

85后蒋凡:28岁实现财务自由、34岁成为阿里万亿电商帝国双掌门,他的人生底层逻辑是什么?...

蒋凡是何许人也? 2017年12月27日,在入职4年时间里,蒋凡开挂般坐上了淘宝总裁位置。 为此,时任阿里CEO张勇在任命书中力赞: 蒋凡加入阿里,始终保持创业者的冲劲,有敏锐的...

总结了 150 余个神奇网站,你不来瞅瞅吗?

原博客再更新,可能就没了,之后将持续更新本篇博客。

副业收入是我做程序媛的3倍,工作外的B面人生是怎样的?

提到“程序员”,多数人脑海里首先想到的大约是:为人木讷、薪水超高、工作枯燥…… 然而,当离开工作岗位,撕去层层标签,脱下“程序员”这身外套,有的人生动又有趣,马上展现出了完全不同的A/B面人生! 不论是简单的爱好,还是正经的副业,他们都干得同样出色。偶尔,还能和程序员的特质结合,产生奇妙的“化学反应”。 @Charlotte:平日素颜示人,周末美妆博主 大家都以为程序媛也个个不修边幅,但我们也许...

MySQL数据库面试题(2020最新版)

文章目录数据库基础知识为什么要使用数据库什么是SQL?什么是MySQL?数据库三大范式是什么mysql有关权限的表都有哪几个MySQL的binlog有有几种录入格式?分别有什么区别?数据类型mysql有哪些数据类型引擎MySQL存储引擎MyISAM与InnoDB区别MyISAM索引与InnoDB索引的区别?InnoDB引擎的4大特性存储引擎选择索引什么是索引?索引有哪些优缺点?索引使用场景(重点)...

新一代神器STM32CubeMonitor介绍、下载、安装和使用教程

关注、星标公众号,不错过精彩内容作者:黄工公众号:strongerHuang最近ST官网悄悄新上线了一款比较强大的工具:STM32CubeMonitor V1.0.0。经过我研究和使用之...

如果你是老板,你会不会踢了这样的员工?

有个好朋友ZS,是技术总监,昨天问我:“有一个老下属,跟了我很多年,做事勤勤恳恳,主动性也很好。但随着公司的发展,他的进步速度,跟不上团队的步伐了,有点...

我入职阿里后,才知道原来简历这么写

私下里,有不少读者问我:“二哥,如何才能写出一份专业的技术简历呢?我总感觉自己写的简历太烂了,所以投了无数份,都石沉大海了。”说实话,我自己好多年没有写过简历了,但我认识的一个同行,他在阿里,给我说了一些他当年写简历的方法论,我感觉太牛逼了,实在是忍不住,就分享了出来,希望能够帮助到你。 01、简历的本质 作为简历的撰写者,你必须要搞清楚一点,简历的本质是什么,它就是为了来销售你的价值主张的。往深...

大学一路走来,学习互联网全靠这几个网站,最终拿下了一把offer

大佬原来都是这样炼成的

离职半年了,老东家又发 offer,回不回?

有小伙伴问松哥这个问题,他在上海某公司,在离职了几个月后,前公司的领导联系到他,希望他能够返聘回去,他很纠结要不要回去? 俗话说好马不吃回头草,但是这个小伙伴既然感到纠结了,我觉得至少说明了两个问题:1.曾经的公司还不错;2.现在的日子也不是很如意。否则应该就不会纠结了。 老实说,松哥之前也有过类似的经历,今天就来和小伙伴们聊聊回头草到底吃不吃。 首先一个基本观点,就是离职了也没必要和老东家弄的苦...

为什么你不想学习?只想玩?人是如何一步一步废掉的

不知道是不是只有我这样子,还是你们也有过类似的经历。 上学的时候总有很多光辉历史,学年名列前茅,或者单科目大佬,但是虽然慢慢地长大了,你开始懈怠了,开始废掉了。。。 什么?你说不知道具体的情况是怎么样的? 我来告诉你: 你常常潜意识里或者心理觉得,自己真正的生活或者奋斗还没有开始。总是幻想着自己还拥有大把时间,还有无限的可能,自己还能逆风翻盘,只不是自己还没开始罢了,自己以后肯定会变得特别厉害...

什么时候跳槽,为什么离职,你想好了么?

都是出来打工的,多为自己着想

为什么程序员做外包会被瞧不起?

二哥,有个事想询问下您的意见,您觉得应届生值得去外包吗?公司虽然挺大的,中xx,但待遇感觉挺低,马上要报到,挺纠结的。

当HR压你价,说你只值7K,你该怎么回答?

当HR压你价,说你只值7K时,你可以流畅地回答,记住,是流畅,不能犹豫。 礼貌地说:“7K是吗?了解了。嗯~其实我对贵司的面试官印象很好。只不过,现在我的手头上已经有一份11K的offer。来面试,主要也是自己对贵司挺有兴趣的,所以过来看看……”(未完) 这段话主要是陪HR互诈的同时,从公司兴趣,公司职员印象上,都给予对方正面的肯定,既能提升HR的好感度,又能让谈判气氛融洽,为后面的发挥留足空间。...

面试阿里p7,被按在地上摩擦,鬼知道我经历了什么?

面试阿里p7被问到的问题(当时我只知道第一个):@Conditional是做什么的?@Conditional多个条件是什么逻辑关系?条件判断在什么时候执...

你期望月薪4万,出门右拐,不送,这几个点,你也就是个初级的水平

先来看几个问题通过注解的方式注入依赖对象,介绍一下你知道的几种方式@Autowired和@Resource有何区别说一下@Autowired查找候选者的...

面试了一个 31 岁程序员,让我有所触动,30岁以上的程序员该何去何从?

最近面试了一个31岁8年经验的程序猿,让我有点感慨,大龄程序猿该何去何从。

大三实习生,字节跳动面经分享,已拿Offer

说实话,自己的算法,我一个不会,太难了吧

程序员垃圾简历长什么样?

已经连续五年参加大厂校招、社招的技术面试工作,简历看的不下于万份 这篇文章会用实例告诉你,什么是差的程序员简历! 疫情快要结束了,各个公司也都开始春招了,作为即将红遍大江南北的新晋UP主,那当然要为小伙伴们做点事(手动狗头)。 就在公众号里公开征简历,义务帮大家看,并一一点评。《启舰:春招在即,义务帮大家看看简历吧》 一石激起千层浪,三天收到两百多封简历。 花光了两个星期的所有空闲时...

立即提问
相关内容推荐